from Globals import InitializeClass
from OFS.SimpleItem import Item

def lisamisKonstruktor(lisaja):
  "Uus tervitaja"
  lisaja.Destination()._setObject("tere2", Tere2())
  return "Lisatud leht nimega tere2"

class Tere2(Item):
  "Teretusklass"
  meta_type="Tere2"

  def index_html(self):
       "Tervitusmeetod"
       return "Vaikimisi vljastatav leht"
       
  def nimistuleht(self):
    "Nimistu abil vljastatav veebileht"
    return ("Pealkiri", "Ilus <b>tervitav</b> leht")  
    
  def tavaleht(self):
    "Harilik HTML-leht"
    return """<html><head><title>Tavaline leht</title></head>
           <body><h2>Tavaline leht.</h2>
           Tervita <a href="parameetrigaLeht?eesnimi=Juku">Jukut</a>
           </body></html>""" 
           
  def parameetrigaLeht(self, eesnimi):
    "Kasutajat tervitav leht"
    return "Tere, %s" % eesnimi
     
InitializeClass(Tere2)